Loading...
Searching...
No Matches
composite.h File Reference
`#include <BALL/common.h>`
`#include <BALL/CONCEPT/persistentObject.h>`
`#include <BALL/CONCEPT/comparator.h>`
`#include <BALL/CONCEPT/bidirectionalIterator.h>`
`#include <BALL/CONCEPT/object.h>`
`#include <BALL/CONCEPT/selectable.h>`
`#include <BALL/CONCEPT/visitor.h>`
`#include <BALL/CONCEPT/processor.h>`
`#include <BALL/CONCEPT/timeStamp.h>`
`#include <BALL/CONCEPT/composite.iC>`

Go to the source code of this file.

## Classes

class | BALL::Composite
class | BALL::Composite::AncestorIteratorTraits
class | BALL::Composite::ChildCompositeIteratorTraits
class | BALL::Composite::CompositeIteratorTraits

## Namespaces

namespace | BALL

## Macros

Type Definitions and Enums
#define | BALL_KERNEL_PREDICATE_TYPE

## Macro Definition Documentation

## BALL_KERNEL_PREDICATE_TYPE

#define BALL_KERNEL_PREDICATE_TYPE

Definition at line 82 of file composite.h.